# Basic Information
Name:		PackageKit
Version:	0.7.0
Release:	1%{?_dist_release}
License:	GPLv2
Group:		Applications/System
Source0:	http://www.packagekit.org/releases/%{name}-%{version}.tar.xz
BuildRoot:	%{_tmppath}/%{name}-%{version}-root

Vendor:		Project Vine
Distribution:	Vine Linux
Packager:	yasumichi

Summary:	A DBUS packaging abstraction layer
Summary(ja):	DBUS のパッケージング抽象レイヤ

# Dependency
BuildRequires:	glib2-devel
BuildRequires:	dbus-devel
BuildRequires:	dbus-glib-devel
BuildRequires:	polkit-devel
BuildRequires:	NetworkManager-devel
BuildRequires:	sqlite3-devel
BuildRequires:	gtk3-devel
BuildRequires:	gstreamer-plugins-base-devel
BuildRequires:	gtk-doc
BuildRequires:	python

%description
PackageKit is a DBUS abstraction layer that allows the session user to
manage packages in a secure way using a cross-distro, cross-architecture
API.

For more information, please see http://www.packagekit.org

%description -l ja
PackageKit は、安全な方法でセッションのユーザーにパッケージ管理を許可する
DBUS の抽象レイヤです。ディストリビューションやアーキテクチャーをまたいだ
API を利用しています。

より詳しい情報は、 http://www.packagekit.org をご覧ください。

%package devel
Summary:	Development enviroment for PackageKit
Summary(ja):	PackageKit の開発環境
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Header file and libraries for developping PackageKit.

%description -l ja devel
PackageKit で開発を行うためのヘッダファイルとライブラリ

%package doc
Summary:	Documants of PackageKit
Summary(ja):	PackageKit のドキュメント
Group:		Applications/Documentation

%description doc
HTML documents of PackageKit

%description -l ja doc
PackageKit の HTML ドキュメント

%prep
%setup -q

%build
%configure --enable-dummy --disable-qt --with-default-backend=dummy
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf ${RPM_BUILD_ROOT}
%{__make} install DESTDIR=${RPM_BUILD_ROOT}

%find_lang %{name}

%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/gtk-3.0/modules/libpk-gtk-module.{a,la}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/libpackagekit-glib2.{a,la}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/packagekit-backend/libpk_backend_*.{a,la}
%{__rm} ${RPM_BUILD_ROOT}%{_libdir}/packagekit-plugins/libpk-plugin-*.{a,la}

%clean
%{__rm} -rf ${RPM_BUILD_ROOT}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING HACKING MAINTAINERS NEWS README TODO
%{_sysconfdir}/PackageKit
%{_sysconfdir}/bash_completion.d/pk-completion.bash
%{_sysconfdir}/cron.daily/packagekit-background.cron
%{_sysconfdir}/dbus-1/system.d/org.freedesktop.PackageKit.conf
%{_sysconfdir}/profile.d/PackageKit.sh
%{_sysconfdir}/sysconfig/packagekit-background
%{_bindir}/packagekit-bugreport.sh
%{_bindir}/pk-debuginfo-install
%{_bindir}/pkcon
%{_bindir}/pkgenpack
%{_bindir}/pkmon
%{_includedir}/PackageKit
%{python_sitelib}/packagekit
%{_libdir}/girepository-1.0/PackageKitGlib-1.0.typelib
%{_libdir}/gtk-3.0/modules/libpk-gtk-module.so
%{_libdir}/libpackagekit-glib2.so.14
%{_libdir}/libpackagekit-glib2.so.14.0.9
%{_libdir}/packagekit-backend
%{_libdir}/packagekit-plugins
%{_libexecdir}/packagekitd
%{_libexecdir}/pk-command-not-found
%{_libexecdir}/pk-gstreamer-install
%{_datadir}/PackageKit
%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.Transaction.xml
%{_datadir}/dbus-1/interfaces/org.freedesktop.PackageKit.xml
%{_datadir}/dbus-1/system-services/org.freedesktop.PackageKit.service
%{_datadir}/gir-1.0/PackageKitGlib-1.0.gir
%{_mandir}/man1/pk-debuginfo-install.1*
%{_mandir}/man1/pkcon.1*
%{_mandir}/man1/pkgenpack.1*
%{_mandir}/man1/pkmon.1*
%{_datadir}/mime/packages/packagekit-catalog.xml
%{_datadir}/mime/packages/packagekit-package-list.xml
%{_datadir}/mime/packages/packagekit-servicepack.xml
%{_datadir}/polkit-1/actions/org.freedesktop.packagekit.policy
%{_localstatedir}/lib/PackageKit/transactions.db

%exclude %{_datadir}/PackageKit/website

%files devel
%defattr(-, root, root)
%{_libdir}/libpackagekit-glib2.so
%{_libdir}/pkgconfig/packagekit-glib2.pc
%{_libdir}/pkgconfig/packagekit-plugin.pc


%files doc
%defattr(-, root, root)
%{_datadir}/gtk-doc/html/PackageKit
%{_datadir}/PackageKit/website

%changelog
* Sat Sep 17 2011 Yasumichi Akahoshi <yasumichi@vinelinux.org> 0.7.0-1
- initial build for Vine Linux
